Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003480 [JEDI VCL] 00 JVCL Components minor always 2006-01-30 18:00 2006-06-09 07:55
Reporter tbolick View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003480: jvAppIniFileStorage
Description If the Ini File cannot be written to on Flush, an exception is thrown. Since you cannot keep the Flush from happening automatically when the component is Destroyed, you always get an exception if the IniFile name points to an invalid drive. If, for example, you want to keep the Ini File on a USB or network drive which may become invalid before the program closes. Reads & Writes can be conditional (If FileExists), but the final Flush always happens.

Perhaps putting a try...except around the IniFile.UpdateFile would suffice.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008509)
obones (administrator)
2006-02-06 07:11

Interesting point, this needs to be discussed on the newsgroups here:

news://forums.talkto.net/jedi.vcl [^]
(0009554)
obones (administrator)
2006-06-09 07:55

An OnError handler has been added, called when Flush fails.

- Issue History
Date Modified Username Field Change
2006-01-30 18:00 tbolick New Issue
2006-02-06 07:11 obones Note Added: 0008509
2006-02-06 07:11 obones Status new => acknowledged
2006-02-07 00:53 jfudickar Issue Monitored: jfudickar
2006-06-09 07:55 obones Status acknowledged => resolved
2006-06-09 07:55 obones Resolution open => fixed
2006-06-09 07:55 obones Assigned To => obones
2006-06-09 07:55 obones Note Added: 0009554


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker